# Products

## Retrieve blank products

<mark style="color:blue;">`GET`</mark> `/products/base`

{% tabs %}
{% tab title="200: OK " %}

```javascript
            {
                "sku": "RS155M",
                "sku_config": "russellcolor-size",
                "name": "Russell Herenshirt",
                "price": 14.5,
                "category": {
                    "code": "T",
                    "label": "T-Shirt"
                },
                "gender": [
                    {
                        "code": "M",
                        "label": "Men"
                    }
                ],
                "tearoffLabel": true,
                "variations": [
                    {
                        "sku": "RS155M-36-S",
                        "name": "Russell Herenshirt Black/S",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "36",
                                "label": "Black"
                            },
                            {
                                "attribute": "size",
                                "value": "S",
                                "label": "S"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-36-M",
                        "name": "Russell Herenshirt Black/M",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "36",
                                "label": "Black"
                            },
                            {
                                "attribute": "size",
                                "value": "M",
                                "label": "M"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-36-L",
                        "name": "Russell Herenshirt Black/L",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "36",
                                "label": "Black"
                            },
                            {
                                "attribute": "size",
                                "value": "L",
                                "label": "L"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-36-XL",
                        "name": "Russell Herenshirt Black/XL",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "36",
                                "label": "Black"
                            },
                            {
                                "attribute": "size",
                                "value": "XL",
                                "label": "XL"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-36-2XL",
                        "name": "Russell Herenshirt Black/2XL",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "36",
                                "label": "Black"
                            },
                            {
                                "attribute": "size",
                                "value": "2XL",
                                "label": "2XL"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
    
                    {
                        "sku": "RS155M-57-S",
                        "name": "Russell Herenshirt Fuchsia/S",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "57",
                                "label": "Fuchsia"
                            },
                            {
                                "attribute": "size",
                                "value": "S",
                                "label": "S"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-57-M",
                        "name": "Russell Herenshirt Fuchsia/M",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "57",
                                "label": "Fuchsia"
                            },
                            {
                                "attribute": "size",
                                "value": "M",
                                "label": "M"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-57-L",
                        "name": "Russell Herenshirt Fuchsia/L",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "57",
                                "label": "Fuchsia"
                            },
                            {
                                "attribute": "size",
                                "value": "L",
                                "label": "L"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-57-XL",
                        "name": "Russell Herenshirt Fuchsia/XL",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "57",
                                "label": "Fuchsia"
                            },
                            {
                                "attribute": "size",
                                "value": "XL",
                                "label": "XL"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    },
                    {
                        "sku": "RS155M-57-2XL",
                        "name": "Russell Herenshirt Fuchsia/2XL",
                        "sku_config": [
                            {
                                "attribute": "russellcolor",
                                "value": "57",
                                "label": "Fuchsia"
                            },
                            {
                                "attribute": "size",
                                "value": "2XL",
                                "label": "2XL"
                            }
                        ],
                        "stock": {
                            "code": "S",
                            "label": "In Stock"
                        }
                    }
                ]
            }
            }
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": "error",
    "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cottoncast.com/api-reference/api-endpoints/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
